### Method

# Gimp Item transform_matrix

#### Declaration [src]

    GimpItem*
    gimp_item_transform_matrix (
      GimpItem* item,
      gdouble coeff_0_0,
      gdouble coeff_0_1,
      gdouble coeff_0_2,
      gdouble coeff_1_0,
      gdouble coeff_1_1,
      gdouble coeff_1_2,
      gdouble coeff_2_0,
      gdouble coeff_2_1,
      gdouble coeff_2_2
    )

#### Description [src]

Transform the specified item in 2d.

This procedure transforms the specified item.

The transformation is done by assembling a 3x3 matrix from the coefficients passed.

If a selection exists and the item is a drawable, the portion of the drawable which lies under the selection is cut from the drawable and made into a floating selection which is then transformed as specified. The return value is the ID of the transformed floating selection.

If there is no selection or the item is not a drawable, the entire item will be transformed according to the specified matrix. The return value will be equal to the item ID supplied as input.

This procedure is affected by the following context setters: gimp_context_set_interpolation(), gimp_context_set_transform_direction(), gimp_context_set_transform_resize().

Available since: | 2.8

#### Parameters

`coeff_0_0` | `gdouble`
| Coefficient (0,0) of the transformation matrix.
`coeff_0_1` | `gdouble`
| Coefficient (0,1) of the transformation matrix.
`coeff_0_2` | `gdouble`
| Coefficient (0,2) of the transformation matrix.
`coeff_1_0` | `gdouble`
| Coefficient (1,0) of the transformation matrix.
`coeff_1_1` | `gdouble`
| Coefficient (1,1) of the transformation matrix.
`coeff_1_2` | `gdouble`
| Coefficient (1,2) of the transformation matrix.
`coeff_2_0` | `gdouble`
| Coefficient (2,0) of the transformation matrix.
`coeff_2_1` | `gdouble`
| Coefficient (2,1) of the transformation matrix.
`coeff_2_2` | `gdouble`
| Coefficient (2,2) of the transformation matrix.

#### Return value

Returns: | `GimpItem`
| The transformed item.
| The data is owned by the instance.